﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDCDynamicTickMarkValues.EnergyModel
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<EnergyProduction> _data;
        private Random rnd;

        public ObservableCollection<EnergyProduction> Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }

     

        public ViewModel()
        {
            rnd = new Random();
            this.Data = new ObservableCollection<EnergyProduction>();
            for (int i = 0; i < 40; i++)
            {
                this.Data.Add(new EnergyProduction { Region = "Country" + i.ToString(), Country = "C" + i.ToString(), Coal = rnd.Next(0, 1000), Oil = rnd.Next(0, 1000), Gas = rnd.Next(0, 100), Nuclear = rnd.Next(0, 1000), Hydro = rnd.Next(0, 1000) });
            }

        }


    }
}
